Subject: Re: bug#26996: 25.1; doc-view-revert-buffer doesn't detect file change while using tramp

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 29 Sep 2019 14:59:05 +0200

Iakov Davydov <[email-masked]> writes:

> I have problem with reverting buffer when opening pdf via tramp. 
> This happens in emacs 24 and emacs 25, with different version of tramp. 
>
> Steps to reproduce are like this: 
> 1. Open pdf with tramp over ssh -> DocView mode. 
> 2. Update the pdf somehow on the server. 
> 3. Press 'g' to revert buffer (doc-view-revert-buffer) -> "yes". 
>
> If the pdf was updated, I expect to see an updated pdf. Instead I see an 
> old pdf. 

I managed to reproduce this in Emacs 27, and it should now be fixed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no